interactions:
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Connection: [keep-alive]
      User-Agent: [rtv test suite PRAW/3.6.1 Python/3.6.1 b'Darwin-14.5.0-x86_64-i386-64bit']
    method: GET
    uri: https://api.reddit.com/r/python/.json?limit=1024
  response:
    body:
      string: !!binary |
[encoded data, 54570 characters]
        AzEMouD/A9tIRsw+0QMA
    headers:
      Accept-Ranges: [bytes]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['36609']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Thu, 14 Sep 2017 04:42:29 GMT']
      Server: [snooserv]
      Set-Cookie: ['loid=00000000000drjlcfp.2.1505364148716.Z0FBQUFBQlp1Z2kxS21uVXV3LWpWRF94UFY2OXVBbmlHNXREQzF5NjM4SWUwTGxmSW16VkR1V05fQ2xYeGFicWp1Nkd1azNrOU5tLWpEdGhlZlBDdk1ZbFRrNUI0TkJ3cDJJVmIxaUg0bmJUNWlYbWQyUUQyZVZ3M3NVQUVWVmt4TnJqNU45UWpVbFU;
          Domain=reddit.com; Max-Age=63071999; Path=/; expires=Sat, 14-Sep-2019 04:42:29
          GMT; secure', 'session_tracker=ew3pnD4y4nBkfmRcqJ.0.1505364148712.Z0FBQUFBQlp1Z2kxSmZ4VXJaNHo0Q3hHV1JpMEtnN1JXM1ZqcFdRdEJLVl9VOVZIalJPTWJPSkxzYmNnV0RCZHFfeGl4SzJfMXA2MmhuRlptbjVZMlRVV3dvNno5dUtzRklEUjJlYlVuZDNTZjgwSkZqOFFQeDhJWmxRbEU3a3lQM1JpYnJOak1mTWo;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:42:29
          GMT; secure', edgebucket=DTRDhZqJWAQqHltVOA; Domain=reddit.com; Max-Age=63071999;
          Path=/;  secure]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      Via: [1.1 varnish]
      X-Cache: [MISS]
      X-Cache-Hits: ['0']
      X-Moose: [majestic]
      X-Served-By: [cache-ord1740-ORD]
      X-Timer: ['S1505364149.696773,VS0,VE524']
      access-control-allow-origin: ['*']
      access-control-expose-headers: ['X-Reddit-Tracking, X-Moose']
      cache-control: ['max-age=0, must-revalidate']
      set-cookie: ['loid=00000000000drjlcfp.2.1505364148716.Z0FBQUFBQlp1Z2kxS21uVXV3LWpWRF94UFY2OXVBbmlHNXREQzF5NjM4SWUwTGxmSW16VkR1V05fQ2xYeGFicWp1Nkd1azNrOU5tLWpEdGhlZlBDdk1ZbFRrNUI0TkJ3cDJJVmIxaUg0bmJUNWlYbWQyUUQyZVZ3M3NVQUVWVmt4TnJqNU45UWpVbFU;
          Domain=reddit.com; Max-Age=63071999; Path=/; expires=Sat, 14-Sep-2019 04:42:29
          GMT; secure', 'session_tracker=ew3pnD4y4nBkfmRcqJ.0.1505364148712.Z0FBQUFBQlp1Z2kxSmZ4VXJaNHo0Q3hHV1JpMEtnN1JXM1ZqcFdRdEJLVl9VOVZIalJPTWJPSkxzYmNnV0RCZHFfeGl4SzJfMXA2MmhuRlptbjVZMlRVV3dvNno5dUtzRklEUjJlYlVuZDNTZjgwSkZqOFFQeDhJWmxRbEU3a3lQM1JpYnJOak1mTWo;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:42:29
          GMT; secure', edgebucket=DTRDhZqJWAQqHltVOA; Domain=reddit.com; Max-Age=63071999;
          Path=/;  secure]
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=GPommevDaPrLsGgPib%2BVpAlccNJCW4lP3HkwJvrP79I5N1aI748lmzDDhXmfNvu9B49pwXIBNHE%3D']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Connection: [keep-alive]
      Cookie: [edgebucket=DTRDhZqJWAQqHltVOA; loid=00000000000drjlcfp.2.1505364148716.Z0FBQUFBQlp1Z2kxS21uVXV3LWpWRF94UFY2OXVBbmlHNXREQzF5NjM4SWUwTGxmSW16VkR1V05fQ2xYeGFicWp1Nkd1azNrOU5tLWpEdGhlZlBDdk1ZbFRrNUI0TkJ3cDJJVmIxaUg0bmJUNWlYbWQyUUQyZVZ3M3NVQUVWVmt4TnJqNU45UWpVbFU;
          session_tracker=ew3pnD4y4nBkfmRcqJ.0.1505364148712.Z0FBQUFBQlp1Z2kxSmZ4VXJaNHo0Q3hHV1JpMEtnN1JXM1ZqcFdRdEJLVl9VOVZIalJPTWJPSkxzYmNnV0RCZHFfeGl4SzJfMXA2MmhuRlptbjVZMlRVV3dvNno5dUtzRklEUjJlYlVuZDNTZjgwSkZqOFFQeDhJWmxRbEU3a3lQM1JpYnJOak1mTWo]
      User-Agent: [rtv test suite PRAW/3.6.1 Python/3.6.1 b'Darwin-14.5.0-x86_64-i386-64bit']
    method: GET
    uri: https://api.reddit.com/r/python/search.json?q=search+term&restrict_sr=on
  response:
    body:
      string: !!binary |
[encoded data, 27710 characters]
        O6MM3FyDvQMEhD0qGH0edCRGJi33/wFtip5DtH8BAA==
    headers:
      Accept-Ranges: [bytes]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['18613']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Thu, 14 Sep 2017 04:42:30 GMT']
      Server: [snooserv]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      Via: [1.1 varnish]
      X-Cache: [MISS]
      X-Cache-Hits: ['0']
      X-Moose: [majestic]
      X-Served-By: [cache-ord1740-ORD]
      X-Timer: ['S1505364150.416619,VS0,VE162']
      access-control-allow-origin: ['*']
      access-control-expose-headers: ['X-Reddit-Tracking, X-Moose']
      cache-control: ['max-age=0, must-revalidate']
      set-cookie: ['session_tracker=ew3pnD4y4nBkfmRcqJ.0.1505364150439.Z0FBQUFBQlp1Z2kycjlReUZDMXBRekNHWHpud2EtaXpBaFVHeXNqY0xWNlZsZjZIQW1ENTllUlVGOVRRQVhDaWdrNVA3T1NXWjluUHg1cC1nZW14Q3c3RnFHa3hkU2loSWdvdzJyNUJxYUJVWmxuVk8yX3V6eWpKbGhzSG5fbVBUM2lIandaSnE3QXM;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:42:30
          GMT; secure']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=cnXlETKz52JDuSKQMQPmY8jOvPFSrYIPiiKD5n8N2iBIKw%2FLukblxOIPxZOVXS46WcfKVdMLjSM%3D']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Connection: [keep-alive]
      Cookie: [edgebucket=DTRDhZqJWAQqHltVOA; loid=00000000000drjlcfp.2.1505364148716.Z0FBQUFBQlp1Z2kxS21uVXV3LWpWRF94UFY2OXVBbmlHNXREQzF5NjM4SWUwTGxmSW16VkR1V05fQ2xYeGFicWp1Nkd1azNrOU5tLWpEdGhlZlBDdk1ZbFRrNUI0TkJ3cDJJVmIxaUg0bmJUNWlYbWQyUUQyZVZ3M3NVQUVWVmt4TnJqNU45UWpVbFU;
          session_tracker=ew3pnD4y4nBkfmRcqJ.0.1505364150439.Z0FBQUFBQlp1Z2kycjlReUZDMXBRekNHWHpud2EtaXpBaFVHeXNqY0xWNlZsZjZIQW1ENTllUlVGOVRRQVhDaWdrNVA3T1NXWjluUHg1cC1nZW14Q3c3RnFHa3hkU2loSWdvdzJyNUJxYUJVWmxuVk8yX3V6eWpKbGhzSG5fbVBUM2lIandaSnE3QXM]
      User-Agent: [rtv test suite PRAW/3.6.1 Python/3.6.1 b'Darwin-14.5.0-x86_64-i386-64bit']
    method: GET
    uri: https://api.reddit.com/r/python/search.json?q=search+term&sort=relevance&restrict_sr=on
  response:
    body:
      string: !!binary |
[encoded data, 27791 characters]
    headers:
      Accept-Ranges: [bytes]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['18635']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Thu, 14 Sep 2017 04:42:30 GMT']
      Server: [snooserv]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      Via: [1.1 varnish]
      X-Cache: [MISS]
      X-Cache-Hits: ['0']
      X-Moose: [majestic]
      X-Served-By: [cache-ord1740-ORD]
      X-Timer: ['S1505364151.628189,VS0,VE141']
      access-control-allow-origin: ['*']
      access-control-expose-headers: ['X-Reddit-Tracking, X-Moose']
      cache-control: ['max-age=0, must-revalidate']
      set-cookie: ['session_tracker=ew3pnD4y4nBkfmRcqJ.0.1505364150645.Z0FBQUFBQlp1Z2kyaG9KNW5KNjdOcXpCeGo5M215ejRlVXIyaHAxdFFVUDVKdXJXVWM1YzNNNXhQblhxM0J2R1UwSnFNdEFzdkVQWkdKQWxvT3V2VXhxcDRqRHdpemVqb0dqSDJQUVZ6bGdFR3lSTk9salV4bno2Z2xkSEFnX3VGRE1icW45dmtHdWU;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:42:30
          GMT; secure']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=GV%2F2pXR6S0WI8l6sp9X34W7m7YRK3pKTMX7ZQlS9ajL6NnC5YfAoKko9YOYSu3j4l1srJZMsl0w%3D']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Connection: [keep-alive]
      Cookie: [edgebucket=DTRDhZqJWAQqHltVOA; loid=00000000000drjlcfp.2.1505364148716.Z0FBQUFBQlp1Z2kxS21uVXV3LWpWRF94UFY2OXVBbmlHNXREQzF5NjM4SWUwTGxmSW16VkR1V05fQ2xYeGFicWp1Nkd1azNrOU5tLWpEdGhlZlBDdk1ZbFRrNUI0TkJ3cDJJVmIxaUg0bmJUNWlYbWQyUUQyZVZ3M3NVQUVWVmt4TnJqNU45UWpVbFU;
          session_tracker=ew3pnD4y4nBkfmRcqJ.0.1505364150645.Z0FBQUFBQlp1Z2kyaG9KNW5KNjdOcXpCeGo5M215ejRlVXIyaHAxdFFVUDVKdXJXVWM1YzNNNXhQblhxM0J2R1UwSnFNdEFzdkVQWkdKQWxvT3V2VXhxcDRqRHdpemVqb0dqSDJQUVZ6bGdFR3lSTk9salV4bno2Z2xkSEFnX3VGRE1icW45dmtHdWU]
      User-Agent: [rtv test suite PRAW/3.6.1 Python/3.6.1 b'Darwin-14.5.0-x86_64-i386-64bit']
    method: GET
    uri: https://api.reddit.com/r/python/search.json?q=search+term&sort=top&t=all&restrict_sr=on
  response:
    body:
      string: !!binary |
[encoded data, 28548 characters]
    headers:
      Accept-Ranges: [bytes]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['19141']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Thu, 14 Sep 2017 04:42:30 GMT']
      Server: [snooserv]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      Via: [1.1 varnish]
      X-Cache: [MISS]
      X-Cache-Hits: ['0']
      X-Moose: [majestic]
      X-Served-By: [cache-ord1740-ORD]
      X-Timer: ['S1505364151.834253,VS0,VE121']
      access-control-allow-origin: ['*']
      access-control-expose-headers: ['X-Reddit-Tracking, X-Moose']
      cache-control: ['max-age=0, must-revalidate']
      set-cookie: ['session_tracker=ew3pnD4y4nBkfmRcqJ.0.1505364150848.Z0FBQUFBQlp1Z2kyamhlSGlQaUtoNm45LWVSWWd3eTVUMTFoR1dHS1g3Mk5XUEN2Rzc3YnBlS3ZUVWVyRGM2Rk9BSENwbUQ5aVplTmhvWm1OU0w2MmNraW14bDFGeGhWYUhkLXZSOGs1MXZtSTBpeGFPUXB1SVg2YzN3cUoybW8tQmJqWV9tYlFLTXI;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:42:30
          GMT; secure']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=VAevZtqTw5Qqe1b4dYnXr787CsnON1eRdJht3m0VlPHANYi3UDFeRWxmMlApVLj9lmhcqHoasuQ%3D']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Connection: [keep-alive]
      Cookie: [edgebucket=DTRDhZqJWAQqHltVOA; loid=00000000000drjlcfp.2.1505364148716.Z0FBQUFBQlp1Z2kxS21uVXV3LWpWRF94UFY2OXVBbmlHNXREQzF5NjM4SWUwTGxmSW16VkR1V05fQ2xYeGFicWp1Nkd1azNrOU5tLWpEdGhlZlBDdk1ZbFRrNUI0TkJ3cDJJVmIxaUg0bmJUNWlYbWQyUUQyZVZ3M3NVQUVWVmt4TnJqNU45UWpVbFU;
          session_tracker=ew3pnD4y4nBkfmRcqJ.0.1505364150848.Z0FBQUFBQlp1Z2kyamhlSGlQaUtoNm45LWVSWWd3eTVUMTFoR1dHS1g3Mk5XUEN2Rzc3YnBlS3ZUVWVyRGM2Rk9BSENwbUQ5aVplTmhvWm1OU0w2MmNraW14bDFGeGhWYUhkLXZSOGs1MXZtSTBpeGFPUXB1SVg2YzN3cUoybW8tQmJqWV9tYlFLTXI]
      User-Agent: [rtv test suite PRAW/3.6.1 Python/3.6.1 b'Darwin-14.5.0-x86_64-i386-64bit']
    method: GET
    uri: https://api.reddit.com/r/python/search.json?q=search+term&sort=comments&t=all&restrict_sr=on
  response:
    body:
      string: !!binary |
[encoded data, 40035 characters]
        o+P1ZDQk4f8P8QDy+9VJAgA=
    headers:
      Accept-Ranges: [bytes]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['26864']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Thu, 14 Sep 2017 04:42:31 GMT']
      Server: [snooserv]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      Via: [1.1 varnish]
      X-Cache: [MISS]
      X-Cache-Hits: ['0']
      X-Moose: [majestic]
      X-Served-By: [cache-ord1740-ORD]
      X-Timer: ['S1505364151.001987,VS0,VE146']
      access-control-allow-origin: ['*']
      access-control-expose-headers: ['X-Reddit-Tracking, X-Moose']
      cache-control: ['max-age=0, must-revalidate']
      set-cookie: ['session_tracker=ew3pnD4y4nBkfmRcqJ.0.1505364151018.Z0FBQUFBQlp1Z2kzR1lveUFqeGJUcjFHVno0eUxMVHRVSm9LT0RZZGt1WDZ6bWZaMkFQNzRhX2ZyaHVzNWQxWVkzb2ZMVGk5TWNnQWc2eU1rU2RNbHFvUnZBZ0NSZTEzYVBDNDNVa3Bnb0pqaWhQeFFWUVhmbUQ3S21hNVM3d19XVno1UThGYXB3T1I;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:42:31
          GMT; secure']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=0nDKClcHDUoHwMZInyvdher%2FZlaAOaMCHEhWC1xUykkuR3mfvM5xL2aB1qPPIlL9GqE2pVDVRpc%3D']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Connection: [keep-alive]
      Cookie: [edgebucket=DTRDhZqJWAQqHltVOA; loid=00000000000drjlcfp.2.1505364148716.Z0FBQUFBQlp1Z2kxS21uVXV3LWpWRF94UFY2OXVBbmlHNXREQzF5NjM4SWUwTGxmSW16VkR1V05fQ2xYeGFicWp1Nkd1azNrOU5tLWpEdGhlZlBDdk1ZbFRrNUI0TkJ3cDJJVmIxaUg0bmJUNWlYbWQyUUQyZVZ3M3NVQUVWVmt4TnJqNU45UWpVbFU;
          session_tracker=ew3pnD4y4nBkfmRcqJ.0.1505364151018.Z0FBQUFBQlp1Z2kzR1lveUFqeGJUcjFHVno0eUxMVHRVSm9LT0RZZGt1WDZ6bWZaMkFQNzRhX2ZyaHVzNWQxWVkzb2ZMVGk5TWNnQWc2eU1rU2RNbHFvUnZBZ0NSZTEzYVBDNDNVa3Bnb0pqaWhQeFFWUVhmbUQ3S21hNVM3d19XVno1UThGYXB3T1I]
      User-Agent: [rtv test suite PRAW/3.6.1 Python/3.6.1 b'Darwin-14.5.0-x86_64-i386-64bit']
    method: GET
    uri: https://api.reddit.com/r/python/search.json?q=search+term&sort=new&restrict_sr=on
  response:
    body:
      string: !!binary |
[encoded data, 37995 characters]
        Bx2mfyf78QEA
    headers:
      Accept-Ranges: [bytes]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['25488']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Thu, 14 Sep 2017 04:42:31 GMT']
      Server: [snooserv]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      Via: [1.1 varnish]
      X-Cache: [MISS]
      X-Cache-Hits: ['0']
      X-Moose: [majestic]
      X-Served-By: [cache-ord1740-ORD]
      X-Timer: ['S1505364151.212157,VS0,VE134']
      access-control-allow-origin: ['*']
      access-control-expose-headers: ['X-Reddit-Tracking, X-Moose']
      cache-control: ['max-age=0, must-revalidate']
      set-cookie: ['session_tracker=ew3pnD4y4nBkfmRcqJ.0.1505364151227.Z0FBQUFBQlp1Z2kzREM1aWY5dEluVl94NHVkZXpxS0s3QXN2MXBXRTFBVS1FVFl2UDRoeS1WbXRKb1ZQWDJ3YzNyYzRUNmJQeWFiQlFfWEJ4ankzTmdBMkh4UUYxQUtZOUdySmozd3Ruamd0MHRncGMyQlB2dktyenlKUjFLUlZvaU85c3hkSVNPd0M;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:42:31
          GMT; secure']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=gDcTBc4C1A7sxTokNvNZCrracbUJkeQK%2Fs1MgRIQ%2Fak07%2FV9qPc8oFELzyfglUa8QMCVewwCTg8%3D']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
version: 1
